apt-get install tshark FAIL || version related || [LÖST]

Trädvy Permalänk
Medlem
Registrerad
Sep 2009

apt-get install tshark FAIL || version related || [LÖST]

Hej.

Jag försöker installera tshark, då jag redan har wireshark installerat. Grejen är att jag försöker köra en resp installation.
Och då klagar den på versionerna med följande meddelande:

tshark : Depends: wireshark-common (= 1.10.6-1) but 1.12.1+g01b65bf-1~ppa1 is to be installed

Om jag förstår fel meddelandet rätt så säger det att min wireshark är version 1.10.6-1 Men tshark som jag försöker installlera är 1.12.1...
Iaf så då dubbel kollade jag med:

$: wireshark -v $: wireshark 1.12.1 ....

Vilket tyder på att wireshark är 1.12.1 ändå, så nu sitter jag lätt förvirrad vad är felet?

Ubuntu 14.04 - gnome-shell.
Tack för svar!

Смерть -это решение всех проблем. Нет человека - нет проблемы
Comp1: Ubuntu 16.04 Comp2: Arch Linux
Comp3: Ubuntu Server 16.04 Comp4: Centos 6.5
Comp5: Linux mint 16 Comp6: Raspberry pi (olika OS hela tiden)
Phone: Motorola Google Nexus 6

Trädvy Permalänk
Medlem
Plats
på landet
Registrerad
Feb 2002
Skrivet av asdfgh:

Hej.

Jag försöker installera tshark, då jag redan har wireshark installerat. Grejen är att jag försöker köra en resp installation.
Och då klagar den på versionerna med följande meddelande:

tshark : Depends: wireshark-common (= 1.10.6-1) but 1.12.1+g01b65bf-1~ppa1 is to be installed

Om jag förstår fel meddelandet rätt så säger det att min wireshark är version 1.10.6-1 Men tshark som jag försöker installlera är 1.12.1...
Iaf så då dubbel kollade jag med:

$: wireshark -v $: wireshark 1.12.1 ....

Vilket tyder på att wireshark är 1.12.1 ändå, så nu sitter jag lätt förvirrad vad är felet?

Ubuntu 14.04 - gnome-shell.
Tack för svar!

Nä, tshark kräver en specifik version (därav = och inte >= ) som är 1.10osv men du har en annan installerad.

Jag kan inte ubuntu men debians tshark har din wireshark-version som dependency, så den tshark som finns i ditt repository verkar vara gammal.

Installera en äldre version av wireshark, eller uppdatera dina repos. Eller ta en. Deb-fil av tshark som passar din wireshark.

Skickades från m.sweclockers.com

"Det här systemet fungerar urkasst." - operatör.
"Hur ska det fungera då?" - jag
"Gör så att det fungerar som jag vill." - operatör.
/facepalm

Trädvy Permalänk
Medlem
Registrerad
Sep 2009

@Otur:
klockrent tack för att du klara upp mitt förvirrade huvud.

Смерть -это решение всех проблем. Нет человека - нет проблемы
Comp1: Ubuntu 16.04 Comp2: Arch Linux
Comp3: Ubuntu Server 16.04 Comp4: Centos 6.5
Comp5: Linux mint 16 Comp6: Raspberry pi (olika OS hela tiden)
Phone: Motorola Google Nexus 6